ode-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pablo lagartijo <pablo_lagart...@hotmail.com>
Subject RE: Error Building ODE (rake)
Date Thu, 29 May 2008 10:47:21 GMT

Hello,

First of all, thank you for your answers.

Finally I couldn't make it work. So, what I have done is to download the ODE
source code (apache-ode-src-1.1.zip) and execute the command "rake" in this
folder and it worked. 

Now my problem is focuses on the maven2 configuration for Eclipse.
Thread: " Maven2 conf. for Eclipse (Building ODE) ".

Pablo.



> Date: Wed, 28 May 2008 11:53:38 -0700
> From: boisvert@intalio.com
> To: user@ode.apache.org
> Subject: Re: Error Building ODE (rake)
>
> And if you have several versions of Buildr installed, you can force a
> specific version to be used by issuing:
>
> buildr _1.2.10_ package
>
> (That's the version number as first argument, surrounded by underscores)
>
> alex
>
>
> On Wed, May 28, 2008 at 11:50 AM, Matthieu Riou 
> wrote:
>
>> Can you check which version of buildr you installed? You should have a
>> 1.2.x
>> version.
>>
>> Thanks,
>> Matthieu
>>
>> On Wed, May 28, 2008 at 10:49 AM, pablo lagartijo <
>> pablo_lagartijo@hotmail.com> wrote:
>>
>>>
>>>
>>> Hello Everyone,
>>>
>>> I would like to Build ODE and I followed all the instructions that they
>> put
>>> in the webpage
>>> (http://ode.apache.org/building-ode.html).
>>>
>>> When I write:
>>> "rake TEST=no package"
>>> in the source root directory (D:\diplom\ode), the rake is aborted:
>>>
>>> "
>>> rake aborted!
>>> no such file to load -- buildr/antlr
>>> C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in
>>> `gem_original_re
>>> quire'
>>> C:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'
>>> D:/diplom/ode/rakefile:22
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1940:in `load'
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1940:in
>>> `raw_load_rakefile
>>> '
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1727:in
>>> `load_rakefile'
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1761:in
>>> `standard_exceptio
>>> n_handling'
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1726:in
>>> `load_rakefile'
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1710:in `run'
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1761:in
>>> `standard_exceptio
>>> n_handling'
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/lib/rake.rb:1708:in `run'
>>> C:/ruby/lib/ruby/gems/1.8/gems/rake-0.7.3/bin/rake:7
>>> C:/ruby/bin/rake:16:in `load'
>>> C:/ruby/bin/rake:16
>>> "
>>>
>>> ( Windows XP,
>>> Ruby 1.8.6-26 (PATH = %PATH%;C:\ruby\bin),
>>> Apache-Maven 2.0.9 (M2_HOME = C:\apache-maven-2.0.9),
>>> Java JDK 1.5.0_15 (JAVA_HOME = C:\Java\jdk1.5.0_15),
>>> Ecplise 3.3.2 )
>>>
>>> Thank you.
>>>
>>> _________________________________________________________________
>>> MSN Noticias
>>> http://noticias.msn.es/comunidad.aspx
>>>
>>

_________________________________________________________________
MSN Video. 
http://video.msn.com/?mkt=es-es
Mime
View raw message